name: test_sa
description: medical app to manage medical devices issuse

# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.1+2

environment:
  sdk: ">=2.7.0 <3.0.0"

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.5
  font_awesome_flutter: ^10.2.1
  http: ^0.13.5
  provider: ^6.0.3
  shared_preferences: ^2.0.15
  fluttertoast: ^8.0.9
  image_picker: ^0.8.6
  url_launcher: ^6.1.6
  flutter_launcher_icons: ^0.10.0
  package_info: ^2.0.2
  share: ^2.0.4
  flutter_local_notifications: ^12.0.1+1
  cached_network_image: ^3.2.2
  carousel_slider: ^4.1.1
  intl: ^0.17.0
  flutter_typeahead: ^4.1.1
  speech_to_text: ^6.1.1
  firebase_core: ^2.4.0
  firebase_messaging: ^14.2.0
  qr_code_scanner: ^1.0.1
  flutter_sound: ^9.2.13
  permission_handler: ^10.2.0
  rive: ^0.9.1
  audioplayers: ^1.1.1
  flare_flutter: ^3.0.2
  signature: ^5.3.0


dev_dependencies:
  flutter_test:
    sdk: flutter

  # The "flutter_lints" package below contains a set of recommended lints to
  # encourage good coding practices. The lint set provided by the package is
  # activated in the `analysis_options.yaml` file located at the root of your
  # package. See that file for information about deactivating specific lint
  # rules and activating additional ones.
  flutter_lints: ^2.0.0

flutter_icons:
  ios: true
  android: true
  image_path_ios: "assets/images/app_logo.jpg"
  image_path_android: "assets/images/app_logo.jpg"

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true
  assets:
    - assets/
    - assets/images/
    - assets/subtitles/
    - assets/rives/
  fonts:
    - family: Swiss
      fonts:
        - asset: assets/fonts/Gotham_Rounded_Light.otf
          weight: 300
        - asset: assets/fonts/Gotham_Rounded_Book.otf
          weight: 400
        - asset: assets/fonts/Gotham_Rounded_Bold.otf
          weight: 700
    - family: Poppins
      fonts:
        - asset: assets/fonts/poppins/Poppins-Black.ttf
          weight: 900
        - asset: assets/fonts/poppins/Poppins-ExtraBold.ttf
          weight: 800
        - asset: assets/fonts/poppins/Poppins-Bold.ttf
          weight: 700
        - asset: assets/fonts/poppins/Poppins-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/poppins/Poppins-Medium.ttf
          weight: 500
        - asset: assets/fonts/poppins/Poppins-Regular.ttf
          weight: 400
        - asset: assets/fonts/poppins/Poppins-Light.ttf
          weight: 300
        - asset: assets/fonts/poppins/Poppins-ExtraLight.ttf
          weight: 200
        - asset: assets/fonts/poppins/Poppins-Thin.ttf
          weight: 100